Skip to main content
GET
/
content-intelligence
List recommendations
curl --request GET \
  --url https://api.app.hrizn.io/v1/public/content-intelligence \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "suggestion_type": "<string>",
      "comparison_subtype": "<string>",
      "title": "<string>",
      "description": "<string>",
      "priority_score": 50,
      "metadata": {},
      "suggested_article_type": "<string>",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>",
    "total_count": 123
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Query Parameters

limit
integer
default:25

Number of results per page

Required range: 1 <= x <= 100
cursor
string

Base64-encoded pagination cursor

type
string

Filter by a single recommendation type (e.g. missing_model_page). See /reference/content-intelligence-types for all values.

types
string

Filter by multiple recommendation types (comma-separated, e.g. missing_model_page,comparison_opportunity).

priority_min
integer

Minimum priority score (0-100). Only return recommendations with priority_score >= priority_min.

Required range: 0 <= x <= 100
status
enum<string>
default:active

Filter by status (default: active).

Available options:
active,
dismissed,
acted_on,
expired
suggested_article_type
enum<string>

Filter by recommended content type.

Available options:
basic,
qa,
expert,
modellanding,
comparison,
salesevent

Response

Paginated list of recommendations

data
object[]
pagination
object
Last modified on April 13, 2026